#include <iostream>

using namespace std;

int main() {
    int n, l;
    cin >> n >> l;
    int h[n];
    for(int i = 0; i < n; i++) cin >> h[i];
    for(int i = 0; i < n; i++) if(l >= h[i]) {cout << i+1; return 0;}
    cout << "-1";

    return 0;
}